Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynEnum_i Class Reference

`#include <DynEnum_i.h>`

Inheritance diagram for TAO_DynEnum_i

[legend]
Collaboration diagram for TAO_DynEnum_i:

[legend]
List of all members.

## Public Methods
| TAO_DynEnum_i (void)
| ~TAO_DynEnum_i (void)
void | init (CORBA_TypeCode_ptr tc, CORBA::Environment &ACE_TRY_ENV)
void | init (const CORBA_Any& any, CORBA::Environment &ACE_TRY_ENV)
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual char* | get_as_string ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | set_as_string ( const char * value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )
virtual CORBA::ULong | get_as_ulong ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | set_as_ulong ( CORBA::ULong value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )
virtual void | from_any ( const CORBA::Any & value, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any* | to_any ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal ( DynamicAny::DynAny_ptr dyn_any, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | destroy ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component ( CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynEnum_i* | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
## Private Methods
void | init_common (void)
| TAO_DynEnum_i (const TAO_DynEnum_i &src)
TAO_DynEnum_i& | operator= (const TAO_DynEnum_i &src)
## Private Attributes
CORBA::ULong | value_

## Constructor & Destructor Documentation

TAO_DynEnum_i::TAO_DynEnum_i ( | void )

TAO_DynEnum_i::~TAO_DynEnum_i ( | void )

TAO_DynEnum_i::TAO_DynEnum_i ( | const TAO_DynEnum_i & src )`[private]`

## Member Function Documentation

TAO_DynEnum_i * TAO_DynEnum_i::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

void * TAO_DynEnum_i::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Reimplemented from CORBA_Object.

DynamicAny::DynAny_ptr TAO_DynEnum_i::current_component ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

void TAO_DynEnum_i::destroy ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

CORBA::Boolean TAO_DynEnum_i::equal ( | DynamicAny::DynAny_ptr rhs,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

virtual void TAO_DynEnum_i::from_any ( | const CORBA::Any & value,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

char * TAO_DynEnum_i::get_as_string ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

CORBA::ULong TAO_DynEnum_i::get_as_ulong ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

void TAO_DynEnum_i::init ( | const CORBA_Any & any,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_DynEnum_i::init ( | CORBA_TypeCode_ptr tc,
| CORBA::Environment & ACE_TRY_ENV )

void TAO_DynEnum_i::init_common ( | void )`[private]`

TAO_DynEnum_i& TAO_DynEnum_i::operator= ( | const TAO_DynEnum_i & src )`[private]`

void TAO_DynEnum_i::set_as_string ( | const char * value_as_string,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )`[virtual]`

void TAO_DynEnum_i::set_as_ulong ( | CORBA::ULong value_as_ulong,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )`[virtual]`

CORBA::Any_ptr TAO_DynEnum_i::to_any ( | CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

## Member Data Documentation

CORBA::ULong TAO_DynEnum_i::value_`[private]`

The documentation for this class was generated from the following files:

- DynEnum_i.h
- DynEnum_i.cpp